# Icinga Cube Web | (c) 2022 Icinga GmbH | GPLv2

%global shortname cube

Name:    icinga-cube
Version: 1.2.2
Release: 2%{?dist}
Summary: Multidimensional representation of facts

Group:   Productivity/Networking/Web/Frontends
%if 0%{?suse_version}
License: GPL-2.0-only
%else
License: GPLv2
%endif
URL:     https://icinga.com
Source0: icinga-cube-1.2.2.tgz

Requires: %{name}-web = %{version}-%{release}

BuildArch: noarch

%description
Icinga Cube offers multi-dimensional views on facts categorized by dimensions.
For example, these can be host and service custom variables,
where variable names are dimensions and values are facts.
Available operations are roll-up, drill-down, slice and dice, and rotate.

%package web
Requires: icingaweb2 >= 2.10.3
Summary: Icinga Cube web files

%description web
Web files for Icinga Cube.

%global basedir %{_datadir}/icingaweb2/modules/%{shortname}

%prep
%autosetup

%install
install -dm 0755 %{buildroot}%{basedir}
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %{buildroot}%{basedir} \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %{buildroot}%{basedir} \;

%files

%files web
%doc README.md
%docdir %{basedir}/doc
%license LICENSE
%{basedir}

%post web
if [ $1 == 1 ]; then
    if [ ! -d /etc/icingaweb2/enabledModules ]; then
        install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
    fi

    ln -sf %{basedir} %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%preun web
if [ $1 == 0 ]; then
    rm -f %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%changelog
* Thu Sep 22 2022 Icinga GmbH <info@icinga.com> - 1.2.2-2.fc35
- Version 1.2.2-2
